Bug 25126 - при печати в альбомной ориентации страницы буквы растягиваются в ширину
: при печати в альбомной ориентации страницы буквы растягиваются в ширину
Status: CLOSED FIXED
: Branch 5.1
(All bugs in Branch 5.1/ghostscript)
: unspecified
: x86 Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-02-21 12:32 by
Modified: 2011-02-24 16:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-02-21 12:32:44
был дистрибутив альтлинукс-5.0.1 школьный мастер, обновлён до бранча 5.1 всё
работало хорошо, но вот вздумалось обновить cups из p5 (так ка там он новее на
данный момент), он за собой потянул гостскрипт и прочую дребедень.

после обновления стала проявляться следующая беда, обозначенная в сабже.
при откате на те пакеты, которые я стянул с бранча 5.1 (локальное зеркало,
правда, уже не первой свежести), всё снова работает, как надо.

рабочие версии пакетов:
ghostscript-8.70-alt2
foo2zjs-20100624-alt0.M50P.1
cups-1.4.2-alt1.M51.2

когда поломано было:
ghostscript-9.00-alt1.M50P.1
foo2zjs-20100624-alt0.M50P.1
cups-1.4.4-alt2.M50P.2
------- Comment #1 From 2011-02-21 13:15:42 -------
*** Bug 25121 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2011-02-21 13:44:04 -------
Попробуйте обновить/откатить _только_ ghostscript?
------- Comment #3 From 2011-02-21 14:03:44 -------
(In reply to comment #2)
> Попробуйте обновить/откатить _только_ ghostscript?

машина рабочая - нашего зам.директора - на ней вряд ли удастся проводить
эксперименты.. я очень постараюсь в ближайшее время собрать что-нибудь для
тестов!
------- Comment #4 From 2011-02-21 15:02:36 -------
(In reply to comment #2)
> Попробуйте обновить/откатить _только_ ghostscript?

думаю, можно перевешивать. обновление ghostscript всё ломает, но только если
печатать через foo2zjs. при использовании hplip данных проблем не возникает
даже с обновленным ghostscript.
------- Comment #5 From 2011-02-21 16:17:22 -------
Уточню:
В альт-школьный-5.0.1 - все работает, но при обновлении до p5 или 5.1 возникает
проблема?

А ghostscript-8.70-alt2 вы брали с диска?

Попробуйте собрать ghostscript из сизифа?
------- Comment #6 From 2011-02-21 16:56:32 -------
(In reply to comment #5)
> Уточню:
> В альт-школьный-5.0.1 - все работает, но при обновлении до p5 или 5.1 возникает
> проблема?
> 

немного не так. скачал iso-образ альт-школьный-5.0.1 установил. некоторое время
назад сделал локальное зеркало с ftp://mirror.yandex.ru/altlinux/5.1/branch/, и
обновил машины с него. всё работает.

на днях подключил ftp://mirror.yandex.ru/altlinux/p5/branch/, и обновил капс с
него. всё сломалось.

> А ghostscript-8.70-alt2 вы брали с диска?
> 
> Попробуйте собрать ghostscript из сизифа?

хорошо, попробую вечерком.
------- Comment #7 From 2011-02-21 17:11:50 -------
(В ответ на комментарий №6)
> (In reply to comment #5)
> > Уточню:
> > В альт-школьный-5.0.1 - все работает, но при обновлении до p5 или 5.1 возникает
> > проблема?
> > 
> немного не так. скачал iso-образ альт-школьный-5.0.1 установил. некоторое время
> назад сделал локальное зеркало с ftp://mirror.yandex.ru/altlinux/5.1/branch/, и
> обновил машины с него. всё работает.
> 
> на днях подключил ftp://mirror.yandex.ru/altlinux/p5/branch/, и обновил капс с
> него. всё сломалось.
> 
Только cups обновился из p5 или еще что-то?

> > А ghostscript-8.70-alt2 вы брали с диска?
> > 
> > Попробуйте собрать ghostscript из сизифа?
> 
> хорошо, попробую вечерком.

Собрал сам, пробуйте :) :
http://git.altlinux.org/tasks/39069/
------- Comment #8 From 2011-02-21 17:17:19 -------
> > на днях подключил ftp://mirror.yandex.ru/altlinux/p5/branch/, и обновил капс с
> > него. всё сломалось.
> > 
> Только cups обновился из p5 или еще что-то?

нет, как видно из первого поста, еще ghostscript тоже обновился.
то есть, цитируя первый мой пост:
"рабочие версии пакетов" - это установленная с диска система 5.0.1 и
обновленная с бранча 5.1 (с моего локального зеркала)
"когда поломано было" - это когда я на днях подключил репо p5 и обновил капс и
гостскрипт.
------- Comment #9 From 2011-02-21 17:31:57 -------
(В ответ на комментарий №8)
> > > на днях подключил ftp://mirror.yandex.ru/altlinux/p5/branch/, и обновил капс с
> > > него. всё сломалось.
> > > 
> > Только cups обновился из p5 или еще что-то?
> 
> нет, как видно из первого поста, еще ghostscript тоже обновился.
> то есть, цитируя первый мой пост:
> "рабочие версии пакетов" - это установленная с диска система 5.0.1 и
> обновленная с бранча 5.1 (с моего локального зеркала)
> "когда поломано было" - это когда я на днях подключил репо p5 и обновил капс и
> гостскрипт.

Я почему переспрашиваю: в 5.1 и p5 версии ghostscript одинаковые ;-)
------- Comment #10 From 2011-02-21 17:48:05 -------
> Я почему переспрашиваю: в 5.1 и p5 версии ghostscript одинаковые ;-)

ну, сейчас, может быть, и да. я не смотрел. говорю, же, у меня немного
протухшее зеркало ;) 
поставил вашу сборку гостскрипта - буквы опять нормальные, что не может не
радовать! :)
надо бы еще тому человеку из #25121 потестить :)
------- Comment #11 From 2011-02-21 18:13:35 -------
Протестируйте, пожалуйста, когда соберётся:

rpm http://git.altlinux.org/repo/39099/ i586 task
------- Comment #12 From 2011-02-21 19:49:15 -------
(В ответ на комментарий №10)
> надо бы еще тому человеку из #25121 потестить :)

Завтра проверю. Машина и принтер на работе. Пока что перед уходом домой я
откатил ghostscript до версии 8.70, с ним данная проблема не проявляется, а с
9.00 -- проявляется.

Если с ghostscript-9.01 будет всё хорошо, то может заодно помимо нового
ghostscript'а собрать в 5.1 и новый foo2zjs? Я в своё время вынужден был его
пересобирать из сизифа, когда купил принтер и не обнаружил к нему драйверов в
бранче 5.1. Потом уже в него официально собрали foo2zjs поновее.
------- Comment #13 From 2011-02-21 19:53:29 -------
(В ответ на комментарий №4)
> думаю, можно перевешивать. обновление ghostscript всё ломает, но только если
> печатать через foo2zjs. при использовании hplip данных проблем не возникает
> даже с обновленным ghostscript.

К слову, я свой HP LaserJet Pro P1606dn смог настроить только через foo2zjs, с
hplip так и не разобрался, как с ним что делать. Может инструкцию какую дадите?
Хочется сравнить, с каким драйвером лучше будет.
------- Comment #14 From 2011-02-22 09:33:24 -------
(In reply to comment #11)
> Протестируйте, пожалуйста, когда соберётся:
> 
> rpm http://git.altlinux.org/repo/39099/ i586 task

что-то до сих пор awaiting... это нормально? :)
------- Comment #15 From 2011-02-22 11:40:26 -------
(В ответ на комментарий №14)
> что-то до сих пор awaiting... это нормально? :)
Ненормально. Я уже уведомил кого нужно.
------- Comment #16 From 2011-02-22 11:42:59 -------
(В ответ на комментарий №7)
> Собрал сам, пробуйте :) :
> http://git.altlinux.org/tasks/39069/

Поставил ghostscript-9.01 отсюда -- печатает нормально теперь, как и с 8.70.
Так что наверно можно класть его в бранч официально.
------- Comment #17 From 2011-02-22 18:24:05 -------
(В ответ на комментарий №11)
> Протестируйте, пожалуйста, когда соберётся:
> 
> rpm http://git.altlinux.org/repo/39099/ i586 task

поставил.
ghostscript-9.01-alt0.M50P.1
foo2zjs-20100624-alt0.M50P.1
cups-1.4.2-alt1.M51.2
не воспроизводится.
<offtopic>с наступающим! ;)</offtopic>
------- Comment #18 From 2011-02-22 20:03:17 -------
ghostscript-9.01-alt0.M50P.1 -> p5:

* Mon Feb 21 2011 Andrey Cherepanov <cas@altlinux> 9.01-alt0.M50P.1
- backport to p5 branch (closes: #25126)

* Mon Feb 14 2011 Vitaly Kuznetsov <vitty@altlinux> 9.01-alt1
- 9.01
- update fedora patches
------- Comment #19 From 2011-02-23 07:26:19 -------
(В ответ на комментарий №18)
> ghostscript-9.01-alt0.M50P.1 -> p5:
> 
> * Mon Feb 21 2011 Andrey Cherepanov <cas@altlinux> 9.01-alt0.M50P.1
> - backport to p5 branch (closes: #25126)

А в 5.1 будет? Бага была заведена на 5.1, если что.
------- Comment #20 From 2011-02-23 12:40:53 -------
Уже.